Bug 123050 - Crash in: `salhelper::Thread::run'::`1'::catch$1, installing theme
Summary: Crash in: `salhelper::Thread::run'::`1'::catch$1, installing theme
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.2.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Firefox-Themes
  Show dependency treegraph
 
Reported: 2019-01-30 09:52 UTC by m.a.riosv
Modified: 2019-02-07 14:40 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["orcus::json::const_node::child(orcus::pstring const &)","`salhelper::Thread::run'::`1'::catch$1"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description m.a.riosv 2019-01-30 09:52:16 UTC
This bug was filed from the crash reporting server and is br-986b313d-d806-4343-a223-4bc392347f4b.
=========================================
Comment 1 m.a.riosv 2019-01-30 09:53:58 UTC
Go to Menu/Tools/Options/Personalization - select theme
search for https://addons.mozilla.org/es/firefox/addon/libreoffice_6/
Libo crash
Comment 2 Roman Kuznetsov 2019-01-30 13:07:29 UTC
confirm crash in

Версия: 6.2.0.3
ID сборки: 98c6a8a1c6c7b144ce3cc729e34964b47ce25d62
Потоков ЦП: 4; ОС:Windows 6.1; Отрисовка ИП: по умолчанию; VCL: win; 
Локаль: ru-RU (ru_RU); UI-Language: ru-RU
Calc: threaded

crashreport.libreoffice.org/stats/crash_details/1d24f81f-1b33-4af1-9909-f73f62731610

need test in 6.2.0.1(2)
Comment 3 Xisco Faulí 2019-01-30 14:25:41 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=6c97feec872e82711f58cce61b7796ed594e552c

author	Muhammet Kara <muhammet.kara@pardus.org.tr>	2018-10-05 03:35:43 +0300
committer	Muhammet Kara <muhammet.kara@pardus.org.tr>	2018-10-08 09:39:28 +0200
commit	6c97feec872e82711f58cce61b7796ed594e552c (patch)
tree	94ea759dfc1556d43dd39570ca9c33e7fef12e5f
parent	1aae63b62b8a745ba3345d73e59107c63f904c02 (diff)
Modernize personas under-the-hood - The search

Bisected with: bibisect-linux64-6.2

Adding Cc: to Muhammet Kara
Comment 4 Xisco Faulí 2019-01-30 15:46:36 UTC
My take: https://gerrit.libreoffice.org/#/c/67161/
Comment 5 Commit Notification 2019-01-31 15:37:20 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/45a0f2177b089065a2099a798639cb534ad67ac3%5E%21

tdf#123050: catch object does not have a key labeled 'theme_data'

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Muhammet Kara 2019-01-31 16:35:04 UTC
This is just a symptom as I suspected. Regression was introduced by Mozilla. Will try to look into it.
Comment 7 Commit Notification 2019-02-01 06:20:32 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/90b979e3977053f96f16ae4b87584536f5099280%5E%21

tdf#123050: catch object does not have a key labeled 'theme_data'

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.